#!/bin/sh -efu

a= . install2-init-functions

# Add records to /etc/hosts if pve-manager package installed:
PVE_FILE="/usr/bin/pvedaemon"
HOSTS_FILE="$destdir/etc/hosts"
NET_FILE="$destdir/etc/sysconfig/network"
IFACE_DIR="$destdir/etc/net/ifaces"

if [ -x $destdir$PVE_FILE ]; then
    HOSTNAME="`grep '^HOSTNAME=' $NET_FILE | cut -d= -f2`"
    [ -n "$HOSTNAME" ] || exit 0
    SHORT=${HOSTNAME%%.*}
    if [ "$SHORT" = "$HOSTNAME" ]; then
        SHORT=""
    fi
    IPS="`find $IFACE_DIR -name ipv?address | xargs cat | sed -e 's|/.*||g' | grep -E -v '^127\.0\.0|^::1'`"
    for IP in $IPS; do
        echo "$IP $HOSTNAME $SHORT" >> $HOSTS_FILE
    done
fi
